package kz.arta.synergy.workflow.mobile.android.documents.route.models;

import java.io.Serializable;

/**
 * Created by neox on 31.07.15.
 * Маршрут, доступный пользователю
 */
public class RouteListItem implements Serializable {

    /**
     * Идентификатор маршрута
     */
    private String routeID;

    /**
     * Имя маршрута
     */
    private String routeName;

    /**
     * Автор
     */
    private String authorID;

    /**
     * Имя автора
     */
    private String authorName;

    /**
     * Является ли маршрут "Избранным"
     */
    private String isBookmark;

    /**
     * Выделен ли пункт
     */
    private boolean selected;

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public String getRouteID() {
        return routeID;
    }

    public void setRouteID(String routeID) {
        this.routeID = routeID;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getAuthorID() {
        return authorID;
    }

    public void setAuthorID(String authorID) {
        this.authorID = authorID;
    }

    public String getAuthorName() {
        return authorName;
    }

    public void setAuthorName(String authorName) {
        this.authorName = authorName;
    }

    public String getIsBookmark() {
        return isBookmark;
    }

    public void setIsBookmark(String isBookmark) {
        this.isBookmark = isBookmark;
    }
}
